import { ICnTableColumn } from '../../cn-table-cell-format/types/column';
/**
 * 普通文本提取器
 */
export declare function extractTextValue(value: any, _column: ICnTableColumn, _record?: any): string | null;
/**
 * 省略号文本提取器（与普通文本相同，只是显示时会截断）
 */
export declare function extractEllipsisText(value: any, column: ICnTableColumn, record?: any): string | null;
/**
 * 多行文本提取器
 */
export declare function extractMultipleTextValue(value: any, _column: ICnTableColumn, _record?: any): string | null;
/**
 * 图文文本提取器（提取文本部分）
 */
export declare function extractImageTextValue(value: any, _column: ICnTableColumn, _record?: any): string | null;
